import { VisualizationType } from '../enumns/VisualizationType';
/**
 * Horizontal start and end input
 */
export declare type HorizontalStartAndEndInput = {
    xStart: number;
    xEnd: number;
};
/**
 * Vertical start and end points
 */
export declare type VerticalStartAndEndInput = {
    yStart: number;
    yEnd: number;
};
/**
 * Left and right node spacing requirement
 */
export declare type LeftAndRightSpacing = {
    left: number;
    right: number;
};
/**
 * Input options type for individual draw functions
 */
export declare type IndividualInputOptions = {
    maxWidth: number;
    maxHeight: number;
    highlightMode?: boolean;
};
/**
 * Input options type for main entry function
 */
export declare type MainInputOptions = {
    type: VisualizationType;
    maxWidth: number;
    maxHeight: number;
};
/**
 * Callback for getting color
 */
export declare type GetColorCallBack = (color: string) => any;
/**
 * Defines the path
 */
export declare type PathArray = Array<'left' | 'right'>;
