/**
 * For generating color
 */
declare class ColorGenerator {
    /**
     * The red color value
     */
    private red;
    /**
     * The green color value
     */
    private green;
    /**
     * The blue color value
     */
    private blue;
    /**
     * Increment a color
     *
     * @param {'red' | 'green' | 'blue'} color
     */
    incrementColor(color: 'red' | 'green' | 'blue'): void;
    /**
     * Get the next color
     * Starts from rgb(0, 0, 0)
     *
     * @return {string}
     */
    getNextColor(): string;
}
export default ColorGenerator;
