import { Point } from '../types/Point';
/**
 * Describes a bezier curve
 */
declare class BezierCurve {
    /**
     * X Configurations
     */
    xStart: number;
    cp1x: number;
    cp2x: number;
    xEnd: number;
    /**
     * Y Configurations
     */
    yStart: number;
    cp1y: number;
    cp2y: number;
    yEnd: number;
    /**
     * Color of the curve
     */
    color: string;
    /**
     * Construct a new bezier curve
     *
     * @param {string} color
     * @param {Point} start
     * @param {Point} cp1
     * @param {Point} cp2
     * @param {Point} end
     */
    constructor(color: string, start: Point, cp1: Point, cp2: Point, end: Point);
    /**
     * Draw the bezier curve
     *
     * @param {CanvasRenderingContext2D} ctx
     */
    draw(ctx: CanvasRenderingContext2D): void;
}
export default BezierCurve;
